Subject: [bug#76296] [PATCH maintenance] hydra: bayfront: Set up ‘git.guix.gnu.org’ as a redirect to Savannah.

From: Noé Lopez <[email-masked]>
Date: Mon, 12 May 2025 12:15:24 +0200

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Now that GCD 002 has been accepted, I’d like to restart discussions
> around this patch, which adds the git.guix.gnu.org DNS entry and HTTP(S)
> redirects to codeberg.org/guix:
>
>   https://issues.guix.gnu.org/76296
>
>> This patch implements that; technically we have to have an HTTP redirect,
>> which means that clients pay the cost of an extra connection and get nothing
>> if bayfront is down.  That’s the price to pay for this indirection, but
>> it’s probably worth it.
>>
>> Note that I haven’t been able to test this patch for real since it depends
>> of the state and environments of bayfront: certificates, networking set up,
>> host names, etc.
>
> If we choose to install this patch, we should IMO do it as before
> guix.git is migrated to Codeberg (presumably on May 25th).  That way, we
> can use git.guix.gnu.org in (guix channels) instead of
> codeberg.org/guix/guix.git.
>
> Thoughts?
>
> Ludo’.

As you said, this adds an extra point of failure. It seems that there is
no real issue with changing URL right now as shown by GCD 002. So what
is the benefit of this patch?

I guess its for style points, which I’m all for. I do think it would be
better to set the URL to git.guix.gnu.org/guix/guix.git and just a DNS
redirect to codeberg to avoid the extra connection.

Have a nice day,
Noé